----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    16:22:55 09/17/2016 
-- Design Name: 
-- Module Name:    addr_dec - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity addr_dec is
    Port ( addr : in  STD_LOGIC_VECTOR (7 downto 0);
           dev_sel : out  STD_LOGIC_VECTOR (255 downto 0));
end addr_dec;

architecture Behavioral of addr_dec is

begin

	mux: process(addr) is
		variable i : unsigned (7 downto 0);
		variable addr_var : unsigned (7 downto 0);
	begin
		dev_sel <= (others => '0'); -- default
		addr_var := unsigned(addr);
		for i in 0 to 255 loop
			if addr_var = i then
				dev_sel(i) <= '1';
			end if;
		end loop;
	end process mux;

end Behavioral;

