----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    18:06:57 07/19/2016 
-- Design Name: 
-- Module Name:    input_register - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity input_register is
    Port ( clk_ext : in  STD_LOGIC;
           data_ext_in : in  STD_LOGIC_VECTOR (7 downto 0);
           data_ext_out : out  STD_LOGIC_VECTOR (47 downto 0));
end input_register;

architecture Behavioral of input_register is
	signal data_ext_sig : std_logic_vector(47 downto 0) := (others => '0');
begin


	in_reg: process (clk_ext) is
	begin
		if rising_edge (clk_ext) then
			data_ext_sig (47 downto 40) <= data_ext_sig (39 downto 32);
			data_ext_sig (39 downto 32) <= data_ext_sig (31 downto 24);
			data_ext_sig (31 downto 24) <= data_ext_sig (23 downto 16);
			data_ext_sig (23 downto 16) <= data_ext_sig (15 downto 8);
			data_ext_sig (15 downto 8) <= data_ext_sig (7 downto 0);
			data_ext_sig (7 downto 0) <= data_ext_in (7 downto 0);
		end if;
	end process in_reg;
	
	data_ext_out <= data_ext_sig;
	
	
end Behavioral;

