
# PlanAhead Launch Script for Post PAR Floorplanning, created by Project Navigator

create_project -name fpga_v1 -dir "/home/michal/ELEKTRONIKA/gen_fpga/fpga/fpga_v1/planAhead_run_1" -part xc3s200avq100-4
set srcset [get_property srcset [current_run -impl]]
set_property design_mode GateLvl $srcset
set_property edif_top_file "/home/michal/ELEKTRONIKA/gen_fpga/fpga/fpga_v1/top.ngc" [ get_property srcset [ current_run ] ]
add_files -norecurse { {/home/michal/ELEKTRONIKA/gen_fpga/fpga/fpga_v1} {ipcore_dir} }
add_files [list {ipcore_dir/multiplier.ncf}] -fileset [get_property constrset [current_run]]
add_files [list {ipcore_dir/wave_memory.ncf}] -fileset [get_property constrset [current_run]]
set_property target_constrs_file "/home/michal/ELEKTRONIKA/gen_fpga/fpga/fpga_v1/top.ucf" [current_fileset -constrset]
add_files [list {/home/michal/ELEKTRONIKA/gen_fpga/fpga/fpga_v1/ipcore_dir/dcm_8mhz_to_200mhz_arwz.ucf}] -fileset [get_property constrset [current_run]]
add_files [list {top.ucf}] -fileset [get_property constrset [current_run]]
add_files [list {/home/michal/ELEKTRONIKA/gen_fpga/fpga/fpga_v1/ipcore_dir/dcm_20mhz_to_160mhz_arwz.ucf}] -fileset [get_property constrset [current_run]]
link_design
read_xdl -file "/home/michal/ELEKTRONIKA/gen_fpga/fpga/fpga_v1/top.ncd"
if {[catch {read_twx -name results_1 -file "/home/michal/ELEKTRONIKA/gen_fpga/fpga/fpga_v1/top.twx"} eInfo]} {
   puts "WARNING: there was a problem importing \"/home/michal/ELEKTRONIKA/gen_fpga/fpga/fpga_v1/top.twx\": $eInfo"
}
