--------------------------------------------------------------------------------
-- Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 14.7
--  \   \         Application : sch2hdl
--  /   /         Filename : top.vhf
-- /___/   /\     Timestamp : 09/10/2017 10:40:00
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -sympath /home/michal/ELEKTRONIKA/gen_fpga/fpga/fpga_v1/ipcore_dir -intstyle ise -family spartan3a -flat -suppress -vhdl /home/michal/ELEKTRONIKA/gen_fpga/fpga/fpga_v1/top.vhf -w /home/michal/ELEKTRONIKA/gen_fpga/fpga/fpga_v1/top.sch
--Design Name: top
--Device: spartan3a
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity top is
   port ( ADC_SDI_A     : in    std_logic; 
          ADC_SDI_B     : in    std_logic; 
          DATA          : in    std_logic_vector (7 downto 0); 
          DCLK          : in    std_logic; 
          MODMEM_SDI    : in    std_logic; 
          MODMEM_WR_CS  : in    std_logic; 
          MODMEM_WR_SCK : in    std_logic; 
          MODMEM_WR_SDI : in    std_logic; 
          PLL_HF_IN_A   : in    std_logic; 
          PLL_HF_IN_B   : in    std_logic; 
          PLL_LF_IN_A   : in    std_logic; 
          PLL_LF_IN_B   : in    std_logic; 
          TCXO_CLK      : in    std_logic; 
          WR            : in    std_logic; 
          ADC_CS        : out   std_logic; 
          ADC_SCK       : out   std_logic; 
          DAC_A         : out   std_logic_vector (13 downto 0); 
          DAC_B         : out   std_logic_vector (13 downto 0); 
          DAC_CLK_A     : out   std_logic; 
          DAC_CLK_B     : out   std_logic; 
          MODMEM_CS     : out   std_logic; 
          MODMEM_SCK    : out   std_logic; 
          MODMEM_SDO    : out   std_logic; 
          OV            : out   std_logic; 
          PLL_HF_OUT_A  : out   std_logic; 
          PLL_HF_OUT_B  : out   std_logic; 
          PLL_LF_OUT_A  : out   std_logic; 
          PLL_LF_OUT_B  : out   std_logic; 
          TRIG_OUT      : out   std_logic);
end top;

architecture BEHAVIORAL of top is
   attribute BOX_TYPE   : string ;
   signal ctrl_data                               : std_logic_vector (47 downto 
         0);
   signal dev_sel                                 : std_logic_vector (255 
         downto 0);
   signal main_clk_a                              : std_logic;
   signal mem_out                                 : std_logic_vector (17 downto 
         0);
   signal mem_out_b                               : std_logic_vector (17 downto 
         0);
   signal mod_a                                   : std_logic_vector (31 downto 
         0);
   signal mod_b                                   : std_logic_vector (31 downto 
         0);
   signal XLXN_348                                : std_logic_vector (15 downto 
         0);
   signal XLXN_408                                : std_logic_vector (12 downto 
         0);
   signal XLXN_448                                : std_logic;
   signal XLXN_457                                : std_logic_vector (12 downto 
         0);
   signal XLXN_459                                : std_logic_vector (12 downto 
         0);
   signal XLXN_769                                : std_logic_vector (15 downto 
         0);
   signal XLXN_774                                : std_logic_vector (12 downto 
         0);
   signal XLXN_779                                : std_logic;
   signal XLXN_780                                : std_logic_vector (12 downto 
         0);
   signal XLXN_781                                : std_logic_vector (12 downto 
         0);
   signal XLXN_811                                : std_logic_vector (31 downto 
         0);
   signal XLXN_812                                : std_logic_vector (31 downto 
         0);
   signal XLXN_816                                : std_logic;
   signal XLXN_828                                : std_logic_vector (31 downto 
         0);
   signal XLXN_829                                : std_logic_vector (31 downto 
         0);
   signal XLXN_832                                : std_logic;
   signal XLXN_842                                : std_logic;
   signal XLXN_843                                : std_logic;
   signal XLXN_850                                : std_logic;
   signal XLXN_851                                : std_logic;
   signal XLXN_854                                : std_logic;
   signal XLXN_855                                : std_logic;
   signal XLXI_88_modmem_spi_in_openSignal        : std_logic;
   signal XLXI_88_modmem_write_spi_clk_openSignal : std_logic;
   signal XLXI_88_modmem_write_spi_cs_openSignal  : std_logic;
   signal XLXI_88_modmem_write_spi_in_openSignal  : std_logic;
   signal XLXI_88_mod_wave_num_openSignal         : std_logic_vector (7 downto 
         0);
   signal XLXI_89_clk_tcxo_openSignal             : std_logic;
   component input_register
      port ( clk_ext      : in    std_logic; 
             data_ext_in  : in    std_logic_vector (7 downto 0); 
             data_ext_out : out   std_logic_vector (47 downto 0));
   end component;
   
   component wave_memory
      port ( clka  : in    std_logic; 
             clkb  : in    std_logic; 
             wea   : in    std_logic_vector (0 downto 0); 
             addra : in    std_logic_vector (12 downto 0); 
             dina  : in    std_logic_vector (17 downto 0); 
             addrb : in    std_logic_vector (12 downto 0); 
             doutb : out   std_logic_vector (17 downto 0));
   end component;
   
   component addr_dec
      port ( addr    : in    std_logic_vector (7 downto 0); 
             dev_sel : out   std_logic_vector (255 downto 0));
   end component;
   
   component wave_counter
      port ( clk      : in    std_logic; 
             wr_en    : in    std_logic; 
             wr       : in    std_logic; 
             step     : in    std_logic_vector (12 downto 0); 
             addr_out : out   std_logic_vector (12 downto 0));
   end component;
   
   component pwm_comparator
      port ( clk      : in    std_logic; 
             wr_en    : in    std_logic; 
             wr       : in    std_logic; 
             pwm_on   : in    std_logic; 
             wave_in  : in    std_logic_vector (15 downto 0); 
             thresh   : in    std_logic_vector (15 downto 0); 
             wave_out : out   std_logic_vector (15 downto 0));
   end component;
   
   component amplitude_offset
      port ( clk       : in    std_logic; 
             wr_en     : in    std_logic; 
             wr        : in    std_logic; 
             amplitude : in    std_logic_vector (15 downto 0); 
             offset    : in    std_logic_vector (15 downto 0); 
             wave_in   : in    std_logic_vector (15 downto 0); 
             am_mod_in : in    std_logic_vector (15 downto 0); 
             am_set    : in    std_logic_vector (1 downto 0); 
             wave_out  : out   std_logic_vector (13 downto 0));
   end component;
   
   component mux_2x13b
      port ( in1clk       : in    std_logic; 
             in2clk       : in    std_logic; 
             sel          : in    std_logic; 
             wr_en        : in    std_logic; 
             wr           : in    std_logic; 
             in1          : in    std_logic_vector (12 downto 0); 
             in2          : in    std_logic_vector (12 downto 0); 
             phase        : in    std_logic_vector (12 downto 0); 
             m_outclk     : out   std_logic; 
             trig_out     : out   std_logic; 
             m_out        : out   std_logic_vector (12 downto 0); 
             phase_mod_on : in    std_logic; 
             phase_mod_in : in    std_logic_vector (12 downto 0));
   end component;
   
   component wave_clk
      port ( clk_tcxo      : in    std_logic; 
             wr_en         : in    std_logic; 
             wr            : in    std_logic; 
             pll_ext1      : in    std_logic; 
             pll_ext2      : in    std_logic; 
             from_pll_ext1 : in    std_logic; 
             from_pll_ext2 : in    std_logic; 
             freq_mod_on   : in    std_logic; 
             freq_set      : in    std_logic_vector (31 downto 0); 
             freq_dev      : in    std_logic_vector (31 downto 0); 
             wave_clk      : out   std_logic; 
             to_pll_ext1   : out   std_logic; 
             to_pll_ext2   : out   std_logic; 
             pa_msbits_out : out   std_logic_vector (12 downto 0); 
             clk_main_in   : in    std_logic; 
             clk_main_out  : out   std_logic);
   end component;
   
   component mod_interf
      port ( modmem_spi_in        : in    std_logic; 
             modmem_write_spi_in  : in    std_logic; 
             modmem_write_spi_cs  : in    std_logic; 
             modmem_write_spi_clk : in    std_logic; 
             modadc_spi_in        : in    std_logic; 
             clk                  : in    std_logic; 
             wr_en                : in    std_logic; 
             wr                   : in    std_logic; 
             mod_source_sel       : in    std_logic; 
             modmem_rw            : in    std_logic; 
             wr_en_mod_freq       : in    std_logic; 
             wr_en_adc_cal        : in    std_logic; 
             mod_ampl             : in    std_logic_vector (15 downto 0); 
             mod_ampl_pow         : in    std_logic_vector (3 downto 0); 
             mod_freq_set         : in    std_logic_vector (31 downto 0); 
             adc_offs_cal         : in    std_logic_vector (15 downto 0); 
             adc_gain_cal         : in    std_logic_vector (15 downto 0); 
             modmem_spi_out       : out   std_logic; 
             modmem_spi_cs        : out   std_logic; 
             modmem_spi_clk       : out   std_logic; 
             modadc_spi_cs        : out   std_logic; 
             modadc_spi_clk       : out   std_logic; 
             ov                   : out   std_logic; 
             trig_out             : out   std_logic; 
             mod_wave             : out   std_logic_vector (31 downto 0); 
             mod_wave_num         : in    std_logic_vector (7 downto 0));
   end component;
   
   component sync_bus
      port ( clk_data_in  : in    std_logic; 
             clk_data_out : in    std_logic; 
             data_in      : in    std_logic_vector (31 downto 0); 
             data_out     : out   std_logic_vector (31 downto 0));
   end component;
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component dig_io_mux
      port ( trig_1_wave : in    std_logic; 
             trig_2_wave : in    std_logic; 
             trig_1_mod  : in    std_logic; 
             trig_2_mod  : in    std_logic; 
             wr_en       : in    std_logic; 
             wr          : in    std_logic; 
             dig_out_sel : in    std_logic_vector (3 downto 0); 
             dig_out     : out   std_logic);
   end component;
   
begin
   XLXI_2 : input_register
      port map (clk_ext=>DCLK,
                data_ext_in(7 downto 0)=>DATA(7 downto 0),
                data_ext_out(47 downto 0)=>ctrl_data(47 downto 0));
   
   XLXI_8 : wave_memory
      port map (addra(12 downto 0)=>ctrl_data(36 downto 24),
                addrb(12 downto 0)=>XLXN_459(12 downto 0),
                clka=>WR,
                clkb=>main_clk_a,
                dina(17 downto 0)=>ctrl_data(25 downto 8),
                wea(0)=>dev_sel(2),
                doutb(17 downto 0)=>mem_out(17 downto 0));
   
   XLXI_16 : addr_dec
      port map (addr(7 downto 0)=>ctrl_data(7 downto 0),
                dev_sel(255 downto 0)=>dev_sel(255 downto 0));
   
   XLXI_21 : wave_counter
      port map (clk=>XLXN_448,
                step(12 downto 0)=>ctrl_data(36 downto 24),
                wr=>WR,
                wr_en=>dev_sel(1),
                addr_out(12 downto 0)=>XLXN_408(12 downto 0));
   
   XLXI_22 : pwm_comparator
      port map (clk=>main_clk_a,
                pwm_on=>ctrl_data(8),
                thresh(15 downto 0)=>mod_a(15 downto 0),
                wave_in(15 downto 0)=>mem_out(15 downto 0),
                wr=>WR,
                wr_en=>dev_sel(3),
                wave_out(15 downto 0)=>XLXN_348(15 downto 0));
   
   XLXI_24 : amplitude_offset
      port map (amplitude(15 downto 0)=>ctrl_data(39 downto 24),
                am_mod_in(15 downto 0)=>mod_a(15 downto 0),
                am_set(1 downto 0)=>ctrl_data(41 downto 40),
                clk=>main_clk_a,
                offset(15 downto 0)=>ctrl_data(23 downto 8),
                wave_in(15 downto 0)=>XLXN_348(15 downto 0),
                wr=>WR,
                wr_en=>dev_sel(4),
                wave_out(13 downto 0)=>DAC_A(13 downto 0));
   
   XLXI_41 : mux_2x13b
      port map (in1(12 downto 0)=>XLXN_408(12 downto 0),
                in1clk=>XLXN_448,
                in2(12 downto 0)=>XLXN_457(12 downto 0),
                in2clk=>XLXN_816,
                phase(12 downto 0)=>ctrl_data(28 downto 16),
                phase_mod_in(12 downto 0)=>mod_a(15 downto 3),
                phase_mod_on=>ctrl_data(12),
                sel=>ctrl_data(8),
                wr=>WR,
                wr_en=>dev_sel(5),
                m_out(12 downto 0)=>XLXN_459(12 downto 0),
                m_outclk=>main_clk_a,
                trig_out=>XLXN_842);
   
   XLXI_42 : wave_clk
      port map (clk_main_in=>XLXN_816,
                clk_tcxo=>TCXO_CLK,
                freq_dev(31 downto 0)=>XLXN_811(31 downto 0),
                freq_mod_on=>ctrl_data(44),
                freq_set(31 downto 0)=>ctrl_data(39 downto 8),
                from_pll_ext1=>PLL_LF_IN_A,
                from_pll_ext2=>PLL_HF_IN_A,
                pll_ext1=>ctrl_data(42),
                pll_ext2=>ctrl_data(41),
                wr=>WR,
                wr_en=>dev_sel(0),
                clk_main_out=>XLXN_816,
                pa_msbits_out(12 downto 0)=>XLXN_457(12 downto 0),
                to_pll_ext1=>PLL_LF_OUT_A,
                to_pll_ext2=>PLL_HF_OUT_A,
                wave_clk=>XLXN_448);
   
   XLXI_46 : mod_interf
      port map (adc_gain_cal(15 downto 0)=>ctrl_data(39 downto 24),
                adc_offs_cal(15 downto 0)=>ctrl_data(23 downto 8),
                clk=>TCXO_CLK,
                modadc_spi_in=>ADC_SDI_A,
                modmem_rw=>ctrl_data(24),
                modmem_spi_in=>MODMEM_SDI,
                modmem_write_spi_clk=>MODMEM_WR_SCK,
                modmem_write_spi_cs=>MODMEM_WR_CS,
                modmem_write_spi_in=>MODMEM_WR_SDI,
                mod_ampl(15 downto 0)=>ctrl_data(23 downto 8),
                mod_ampl_pow(3 downto 0)=>ctrl_data(31 downto 28),
                mod_freq_set(31 downto 0)=>ctrl_data(39 downto 8),
                mod_source_sel=>ctrl_data(25),
                mod_wave_num(7 downto 0)=>ctrl_data(39 downto 32),
                wr=>WR,
                wr_en=>dev_sel(6),
                wr_en_adc_cal=>dev_sel(8),
                wr_en_mod_freq=>dev_sel(7),
                modadc_spi_clk=>ADC_SCK,
                modadc_spi_cs=>ADC_CS,
                modmem_spi_clk=>MODMEM_SCK,
                modmem_spi_cs=>MODMEM_CS,
                modmem_spi_out=>MODMEM_SDO,
                mod_wave(31 downto 0)=>XLXN_812(31 downto 0),
                ov=>XLXN_855,
                trig_out=>XLXN_850);
   
   XLXI_81 : wave_memory
      port map (addra(12 downto 0)=>ctrl_data(36 downto 24),
                addrb(12 downto 0)=>XLXN_781(12 downto 0),
                clka=>WR,
                clkb=>XLXN_832,
                dina(17 downto 0)=>ctrl_data(25 downto 8),
                wea(0)=>dev_sel(22),
                doutb(17 downto 0)=>mem_out_b(17 downto 0));
   
   XLXI_82 : pwm_comparator
      port map (clk=>XLXN_832,
                pwm_on=>ctrl_data(8),
                thresh(15 downto 0)=>mod_b(15 downto 0),
                wave_in(15 downto 0)=>mem_out_b(15 downto 0),
                wr=>WR,
                wr_en=>dev_sel(23),
                wave_out(15 downto 0)=>XLXN_769(15 downto 0));
   
   XLXI_83 : amplitude_offset
      port map (amplitude(15 downto 0)=>ctrl_data(39 downto 24),
                am_mod_in(15 downto 0)=>mod_b(15 downto 0),
                am_set(1 downto 0)=>ctrl_data(41 downto 40),
                clk=>XLXN_832,
                offset(15 downto 0)=>ctrl_data(23 downto 8),
                wave_in(15 downto 0)=>XLXN_769(15 downto 0),
                wr=>WR,
                wr_en=>dev_sel(24),
                wave_out(13 downto 0)=>DAC_B(13 downto 0));
   
   XLXI_84 : wave_counter
      port map (clk=>XLXN_779,
                step(12 downto 0)=>ctrl_data(36 downto 24),
                wr=>WR,
                wr_en=>dev_sel(21),
                addr_out(12 downto 0)=>XLXN_774(12 downto 0));
   
   XLXI_85 : mux_2x13b
      port map (in1(12 downto 0)=>XLXN_774(12 downto 0),
                in1clk=>XLXN_779,
                in2(12 downto 0)=>XLXN_780(12 downto 0),
                in2clk=>XLXN_816,
                phase(12 downto 0)=>ctrl_data(28 downto 16),
                phase_mod_in(12 downto 0)=>mod_b(15 downto 3),
                phase_mod_on=>ctrl_data(12),
                sel=>ctrl_data(8),
                wr=>WR,
                wr_en=>dev_sel(25),
                m_out(12 downto 0)=>XLXN_781(12 downto 0),
                m_outclk=>XLXN_832,
                trig_out=>XLXN_843);
   
   XLXI_88 : mod_interf
      port map (adc_gain_cal(15 downto 0)=>ctrl_data(39 downto 24),
                adc_offs_cal(15 downto 0)=>ctrl_data(23 downto 8),
                clk=>TCXO_CLK,
                modadc_spi_in=>ADC_SDI_B,
                modmem_rw=>ctrl_data(24),
                modmem_spi_in=>XLXI_88_modmem_spi_in_openSignal,
                modmem_write_spi_clk=>XLXI_88_modmem_write_spi_clk_openSignal,
                modmem_write_spi_cs=>XLXI_88_modmem_write_spi_cs_openSignal,
                modmem_write_spi_in=>XLXI_88_modmem_write_spi_in_openSignal,
                mod_ampl(15 downto 0)=>ctrl_data(23 downto 8),
                mod_ampl_pow(3 downto 0)=>ctrl_data(31 downto 28),
                mod_freq_set(31 downto 0)=>ctrl_data(39 downto 8),
                mod_source_sel=>ctrl_data(25),
                mod_wave_num(7 downto 0)=>XLXI_88_mod_wave_num_openSignal(7 
            downto 0),
                wr=>WR,
                wr_en=>dev_sel(26),
                wr_en_adc_cal=>dev_sel(28),
                wr_en_mod_freq=>dev_sel(27),
                modadc_spi_clk=>open,
                modadc_spi_cs=>open,
                modmem_spi_clk=>open,
                modmem_spi_cs=>open,
                modmem_spi_out=>open,
                mod_wave(31 downto 0)=>XLXN_829(31 downto 0),
                ov=>XLXN_854,
                trig_out=>XLXN_851);
   
   XLXI_89 : wave_clk
      port map (clk_main_in=>XLXN_816,
                clk_tcxo=>XLXI_89_clk_tcxo_openSignal,
                freq_dev(31 downto 0)=>XLXN_828(31 downto 0),
                freq_mod_on=>ctrl_data(44),
                freq_set(31 downto 0)=>ctrl_data(39 downto 8),
                from_pll_ext1=>PLL_LF_IN_B,
                from_pll_ext2=>PLL_HF_IN_B,
                pll_ext1=>ctrl_data(42),
                pll_ext2=>ctrl_data(41),
                wr=>WR,
                wr_en=>dev_sel(20),
                clk_main_out=>open,
                pa_msbits_out(12 downto 0)=>XLXN_780(12 downto 0),
                to_pll_ext1=>PLL_LF_OUT_B,
                to_pll_ext2=>PLL_HF_OUT_B,
                wave_clk=>XLXN_779);
   
   XLXI_90 : sync_bus
      port map (clk_data_in=>TCXO_CLK,
                clk_data_out=>main_clk_a,
                data_in(31 downto 0)=>XLXN_812(31 downto 0),
                data_out(31 downto 0)=>mod_a(31 downto 0));
   
   XLXI_91 : sync_bus
      port map (clk_data_in=>TCXO_CLK,
                clk_data_out=>XLXN_816,
                data_in(31 downto 0)=>XLXN_812(31 downto 0),
                data_out(31 downto 0)=>XLXN_811(31 downto 0));
   
   XLXI_94 : sync_bus
      port map (clk_data_in=>TCXO_CLK,
                clk_data_out=>XLXN_832,
                data_in(31 downto 0)=>XLXN_829(31 downto 0),
                data_out(31 downto 0)=>mod_b(31 downto 0));
   
   XLXI_95 : sync_bus
      port map (clk_data_in=>TCXO_CLK,
                clk_data_out=>XLXN_816,
                data_in(31 downto 0)=>XLXN_829(31 downto 0),
                data_out(31 downto 0)=>XLXN_828(31 downto 0));
   
   XLXI_96 : BUF
      port map (I=>main_clk_a,
                O=>DAC_CLK_A);
   
   XLXI_97 : BUF
      port map (I=>XLXN_832,
                O=>DAC_CLK_B);
   
   XLXI_98 : OR2
      port map (I0=>XLXN_854,
                I1=>XLXN_855,
                O=>OV);
   
   XLXI_99 : dig_io_mux
      port map (dig_out_sel(3 downto 0)=>ctrl_data(11 downto 8),
                trig_1_mod=>XLXN_850,
                trig_1_wave=>XLXN_842,
                trig_2_mod=>XLXN_851,
                trig_2_wave=>XLXN_843,
                wr=>WR,
                wr_en=>dev_sel(40),
                dig_out=>TRIG_OUT);
   
end BEHAVIORAL;


