#include <stdio.h>   /* Standard input/output definitions */
#include <string.h>  /* String function definitions */
#include <unistd.h>  /* UNIX standard function definitions */
#include <fcntl.h>   /* File control definitions */
#include <errno.h>   /* Error number definitions */
#include <termios.h> /* POSIX terminal control definitions */



int main(void)
{
	int fd; /* File descriptor for the port */
	int n;
    struct termios tty;

	char buf256[256];
	int i,j;

	for(i = 0; i < 256; ++i)
		buf256[i] = '1';


char asdf[32]={'a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a','a'};
char zxcv[1]={'1'};


	fd = open("/dev/ttyACM0", O_RDWR | O_NOCTTY | O_NDELAY);
	if (fd == -1)
		perror("open_port: Unable to open /dev/ttyf1 - ");
	else
    	fcntl(fd, F_SETFL, 0);


	tcgetattr(fd, &tty);

    cfsetospeed(&tty, B9600);
    cfsetispeed(&tty, B9600);

    tty.c_cflag |= (CLOCAL | CREAD);    /* ignore modem controls */
    tty.c_cflag &= ~CSIZE;
    tty.c_cflag |= CS8;         /* 8-bit characters */
    tty.c_cflag &= ~PARENB;     /* no parity bit */
    tty.c_cflag &= ~CSTOPB;     /* only need 1 stop bit */
    tty.c_cflag &= ~CRTSCTS;    /* no hardware flowcontrol */


    tty.c_lflag &= ~(ICANON | ECHO | ECHOE | ISIG);

   // tty.c_oflag &= ~OPOST;
	tty.c_oflag = 0;



    if (tcsetattr(fd, TCSANOW, &tty) != 0) {
        printf("Error from tcsetattr: %s\n", strerror(errno));
        return -1;
    }



	tcflush(fd, TCIOFLUSH);
	n = write(fd, "1", 1);
	tcdrain(fd);


	close(fd);

	return 0;
}
